/*

pgp4pine config.h
Copyright (C) 1998 by Chris Wiegand

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version. This program is distributed in the hope that it will be useful,but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details. You should have received a copy of the GNU General Public Licensealong
with this program; if not, write to the Free Software Foundation, Inc., 59
Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

// This defines what version of PGP/GPG/etc you're using... [required]
// 	PGP 5.0 = 5
//	PGP 2.6 = 2
//	GPG 0.34 = 1
#define PGP_VERSION 5

// Eventually, these settings will (for the most part) be moved into a
// ~/.pgp4pinerc file, which in fact, another program (PAPP) also supports, 
// and I like it's setup, but I don't have time to make a rc parser...
// Slated for 0.95...

#define ALWAYS_ENCRYPT 0
// 0: ask before encrypting (PAPP default, pgp4pine default)
// 1: don't ask, always encrypt
// -1: don't ask, don't encrypt (PAPP doesn't support this)

#define ALWAYS_SIGN 0
// 0: ask before signing (PAPP default, pgp4pine default)
// 1: don't ask, always sign
// -1: don't ask, don't sign (PAPP doesn't support this)

// Only PGP5 supports this option. The others don't add.
#define AUTO_ADD_KEYS 1
// 0: Don't add keys to keyring (PAPP default)
// 1: Automatically add new keys in messages (pgp4pine default)

// Okay, if you have GPG or PGP2, make sure that if you use ENCRYPT_TO_SELF,
// that you define the MY_EMAIL_ADDRESS. If you're using PGP5, just set
// ENCRYPT_TO_SELF, PGP5 automatically gets your email address from the secring.
#define ENCRYPT_TO_SELF 1
#define MY_EMAIL_ADDRESS "cwiegand@urgentmail.com"
// 0: Ask before encrypting to self (PAPP default, pgp4pine default)
// 1: Automatically encrypt to sender
// -1: Never encrypt to sender explicitly (add yourself to the recipients list to encrypt to yourself anyways...)

#define OVERRIDE_RECIPIENTS 0
// 0: If -r found in command line, use it for recipients (pgp4pine default)
// 1: Ask for recipients even if -r found. (PAPP default)

/* Things in ~/.pgp4pinerc I *don't* support:
	auto_decode: I always auto_decode...
	auto_store_passphrase: You're asking for trouble here, security is only as safe as the weakest link, and this is it...
	dont_ask: Don't ask. I dunno...	
	pgp_verbosity: I'll have to look at his/her code...
*/

// If PGP/GPG isn't in your PATH, uncomment the line after next...
// Set this to the path of your PGP/GPG binaries...
// Note: THIS MUST END IN /    [ this is optional ]
// #define MY_PGP_PATH "/opt/pgp/" 

// Set the following to the FULL path of your preferred editor. I don't like vi... [required]
// Only used for pgp4pine, not pgpmenu...
// #define MY_EDITOR "/usr/bin/pico"
#define MY_EDITOR "/usr/bin/joe"

// The following prints any external command lines it runs... [optional]
// #define MY_DEBUG

// The following flag determines if we make a copy of the sent text/received text
// before decrypting it, so that if it's not really a PGP doc, but the program
// was ran anyways, you can still see the original (cat-ted on the end).
// I needed this for awhile, and now my pgp does it itself.. (I dunno.) [optional]
// #define SHOWSENTTEXT

// Note: The following are REQUIRED.

// The following is how big of a string it allocates for the command line... [required]
#define MAX_COMMAND_LINE_LENGTH 1024

// And this is how long the email address can be, it's 1024 for PGP5, I think... [required]
#define EMAIL_ADDRESS_MAX_LENGTH 1024

