package PGPEnvelope::Setup;

use strict;
use PGPEnvelope::WorkDir;
use PGPEnvelope::PrefsFile;
1;

$PGPEnvelope::Setup::VERSION = '2.6.2';

sub new {
  my $proto  = shift;
  my $class = ref ($proto) || $proto;
  my $self = {};
  bless ($self, $class);
  return $self;
}


sub checkWorkDir {
  my $self = shift;
  $self->{WORKDIR} = new PGPEnvelope::WorkDir ( shift @_ );
  return $self->{WORKDIR}->performChecks();
}


sub checkPrefsFile {
  my $self = shift;
  $self->{PREFSFILE} =
    new PGPEnvelope::PrefsFile( $self->{WORKDIR}->getPath() . shift @_ );
  
  # check for the main file
  unless ( -e $self->{PREFSFILE}->filename() ) {
    $self->{PREFSFILE}->generateFile( $self->{PREFSFILE}->filename() );
  }
  
  # deal with the .default now
  unless ( $self->{PREFSFILE}->versionCheck
	   ( $self->{PREFSFILE}->filename() . '.default' ) ) {
    $self->{PREFSFILE}->generateFile
      ( $self->{PREFSFILE}->filename() . '.default' );
  }
  
  $self->{PREFSFILE}->parseFile();
  return 1;
}


sub getSettingFromPrefs {
  my $self = shift;
  return $self->{PREFSFILE}->getSetting( shift );
}
