package PGPEnvelope::SetupFile;

use strict;
use FileHandle;
use File::Copy;
1;

sub new {
  my $proto  = shift;
  my $class = ref( $proto ) || $proto;
  my $self;
  $self->{FILENAME} = shift;
  $self->{CONFIG} = new App::Config;
  bless( $self, $class );
  return $self;
}


sub filename {
  my $self = shift;
  return $self->{FILENAME};
}


sub versionCheck {
  my $self = shift;
  my $filename = shift;
  
  ( -e $filename and my $file = new FileHandle $filename ) or return 0;
  chomp ( $_ = $file->getline() );
  $file->close;
  
  if ( $_ eq "# $PGPEnvelope::Setup::VERSION" ) {
    return 1;
  }
  else {
    # Wrong version.
    print "Copying old $filename to $filename.bak ...";
    if ( copy( $filename, "$filename.bak" ) ) {
      print "done\n";
    }
    else {
      print "failed\n";
    }
  }
  return 0;
}


sub getSetting {
  my $self = shift;
  return $self->{CONFIG}->get( shift );
}


sub generateFile {
  my $self = shift;
  my $filename = shift;
  
  print "Generating new $filename ... ";
  my $configFile = new FileHandle ">$filename"
    or die "Cannot create $filename.\n";
  
  foreach $_ ( @{ $self->{DEFAULT} } ) { $configFile->print ($_, "\n") };
  $configFile->close;
  
  print "done\n";
  return 1;
}
